VTK: boost::graph_traits< vtkGraph * > Struct Reference

| VTK 9.3.1

Public Types | Static Public Member Functions | List of all members
boost::graph_traits< vtkGraph * > Struct Reference

`#include <vtkBoostGraphAdapter.h>`

Inheritance diagram for boost::graph_traits< vtkGraph * >:
[legend]

## Public Types
typedef vtkIdType | vertex_descriptor
typedef vtkEdgeType | edge_descriptor
typedef vtk_out_edge_pointer_iterator | out_edge_iterator
typedef vtk_in_edge_pointer_iterator | in_edge_iterator
typedef vtk_vertex_iterator | vertex_iterator
typedef vtk_edge_iterator | edge_iterator
typedef allow_parallel_edge_tag | edge_parallel_category
typedef vtkGraph_traversal_category | traversal_category
typedef vtkIdType | vertices_size_type
typedef vtkIdType | edges_size_type
typedef vtkIdType | degree_size_type
typedef adjacency_iterator_generator< vtkGraph *, vertex_descriptor, out_edge_iterator >::type | adjacency_iterator

## Static Public Member Functions
static vertex_descriptor | null_vertex ()
static edge_descriptor | null_edge ()

## Detailed Description

Definition at line 458 of file vtkBoostGraphAdapter.h.

## Member Typedef Documentation

## ◆ vertex_descriptor

typedef vtkIdType boost::graph_traits< vtkGraph * >::vertex_descriptor

Definition at line 460 of file vtkBoostGraphAdapter.h.

## ◆ edge_descriptor

typedef vtkEdgeType boost::graph_traits< vtkGraph * >::edge_descriptor

Definition at line 462 of file vtkBoostGraphAdapter.h.

## ◆ out_edge_iterator

typedef vtk_out_edge_pointer_iterator boost::graph_traits< vtkGraph * >::out_edge_iterator

Definition at line 464 of file vtkBoostGraphAdapter.h.

## ◆ in_edge_iterator

typedef vtk_in_edge_pointer_iterator boost::graph_traits< vtkGraph * >::in_edge_iterator

Definition at line 465 of file vtkBoostGraphAdapter.h.

## ◆ vertex_iterator

typedef vtk_vertex_iterator boost::graph_traits< vtkGraph * >::vertex_iterator

Definition at line 467 of file vtkBoostGraphAdapter.h.

## ◆ edge_iterator

typedef vtk_edge_iterator boost::graph_traits< vtkGraph * >::edge_iterator

Definition at line 468 of file vtkBoostGraphAdapter.h.

## ◆ edge_parallel_category

typedef allow_parallel_edge_tag boost::graph_traits< vtkGraph * >::edge_parallel_category

Definition at line 470 of file vtkBoostGraphAdapter.h.

## ◆ traversal_category

typedef vtkGraph_traversal_category boost::graph_traits< vtkGraph * >::traversal_category

Definition at line 471 of file vtkBoostGraphAdapter.h.

## ◆ vertices_size_type

typedef vtkIdType boost::graph_traits< vtkGraph * >::vertices_size_type

Definition at line 472 of file vtkBoostGraphAdapter.h.

## ◆ edges_size_type

typedef vtkIdType boost::graph_traits< vtkGraph * >::edges_size_type

Definition at line 473 of file vtkBoostGraphAdapter.h.

## ◆ degree_size_type

typedef vtkIdType boost::graph_traits< vtkGraph * >::degree_size_type

Definition at line 474 of file vtkBoostGraphAdapter.h.

## ◆ adjacency_iterator

typedef adjacency_iterator_generator<vtkGraph*, vertex_descriptor, out_edge_iterator>::type boost::graph_traits< vtkGraph * >::adjacency_iterator

Definition at line 477 of file vtkBoostGraphAdapter.h.

## Member Function Documentation

## ◆ null_vertex()

static vertex_descriptor boost::graph_traits< vtkGraph * >::null_vertex | ( |  | ) |
| inlinestatic

Definition at line 461 of file vtkBoostGraphAdapter.h.

## ◆ null_edge()

static edge_descriptor boost::graph_traits< vtkGraph * >::null_edge | ( |  | ) |
| inlinestatic

Definition at line 463 of file vtkBoostGraphAdapter.h.

The documentation for this struct was generated from the following file:

- Infovis/BoostGraphAlgorithms/vtkBoostGraphAdapter.h